routes_finder_block:
  label: Finder
  namespace: Organisms/TM - Routes
  use: '@organisms/tm-routes/finder/routes-finder-block.html.twig'
  description: Finder
  dependencies:
    - form-element
    - form-submit
  libraries:
    - routes_finder_block_lib:
        js:
          ../behaviors/routes-finder.js: {}
        css:
          component:
            ../styles/routes-finder.css: {}
  fields:
    origin_field:
      type: pattern
      label: Origin
      preview:
        - id: form-element
          variant: textfield
          settings:
            classes: input-group
          fields:
            errors: false
            description_content: false
            label:
              id: form-label
              fields:
                title: From
    destination_field:
      type: pattern
      label: Destination
      preview:
        - id: form-element
          variant: textfield
          settings:
            classes: input-group
          fields:
            errors: false
            description_content: false
            label:
              id: form-label
              fields:
                title: To
    submit:
      type: pattern
      label: Submit
      preview:
        - id: form-submit
          settings:
            size: md
          fields:
            errors: false
            description_content: false
            value: Find routes
    bottom_text:
      type: text
      label: Header
      description: Header
      preview: <p>Check out where we go, our best train ticket prices and what we
        offer with our handy route guide.</p>
